using System;
using System.Collections;
using System.Drawing;

public class Player
{
    private ArrayList _pieces = new ArrayList(40);
    private Color _color;
    private int _index;
    private int[] _piecesInGraveyard = new int[12];
    private string _playerName;

    public Player(string playerName, int index, Color color)
    {
        _playerName = playerName;
        _index = index;
        _color = color;
    }

    public Color getPlayerColor()
    {
        return _color;
    }

    public String getPlayerName()
    {
        return _playerName;
    }

    public int getIndex()
    {
        return _index;
    }

    public int[] getPiecesInGraveard()
    {
        return _piecesInGraveyard;
    }

    public ArrayList getPieces()
    {
        return _pieces;
    }
}